Package org.gradle.authentication

# Interface Authentication

All Superinterfaces:
  `Named`

All Known Subinterfaces:
  `AwsImAuthentication`, `BasicAuthentication`, `DigestAuthentication`, `HttpHeaderAuthentication`

public interface Authentication extends Named
Base interface for transport authentication schemes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  ### Methods inherited from interface org.gradle.api.Named

  `getName`